
package jp.riken.brain.ni.samuraigraph.figure.java2d;

import jp.riken.brain.ni.samuraigraph.base.SGIPropertyDialogObserver;

/**
 * An observer of the property dialog for data objects.
 *
 */
public interface SGIDataPropertyDialogObserver
	extends SGIPropertyDialogObserver
{
	public String getName();

	public boolean setName( final String str );

	public boolean getLegendVisibleFlag();

	public boolean setVisibleInLegend( final boolean b );
}
